package com.unis.ynls.dataDictionary;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.ComponentScan;
import tk.mybatis.spring.annotation.MapperScan;

/**
 * 云南省粮食业务管理平台--数据字典服务
 */
@SpringBootApplication
@EnableFeignClients
@EnableDiscoveryClient
@ComponentScan("com.unis")
@MapperScan("com.unis.ynls.dataDictionary.mapper")
@org.mybatis.spring.annotation.MapperScan("com.unis.ynls.dataDictionary.mapper")
public class DataDictionaryApplication {

    public static void main(String[] args) {
        SpringApplication.run(DataDictionaryApplication.class, args);
        System.out.println("=================启动成功===================");
    }
}