package com.unis.ynls.dataDictionary.config;

import com.github.pagehelper.PageHelper;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import tk.mybatis.mapper.autoconfigure.ConfigurationCustomizer;

/**
 * 
 * @ClassName: MybatisConf 
 * @Description: mybatis配置类 
 * @author 杨祖榕
 * @date 2018年11月09日 下午3:55:22
 * 
 * @version 1.2.0
 */
@Configuration  
public class MybatisConf {

    @Bean
    public PageHelper pageHelper() {
        return MyBatisUtil.getPageHelper();
    }

    @Bean
    public ConfigurationCustomizer configurationCustomizer() {
        return MyBatisUtil.getConfigurationCustomizer();
    }
}