package com.unis.ynls.dataDictionary.entity;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * 数据字典 实体类
 *
 * @author 杨祖榕
 * @since 2018-11-09 19:57:57
 */
@Getter
@Setter
@ToString
@Entity
@Table(name = "SYS_DICTIONARY")
public class DataDictionaryDO extends BaseEntity{

    /**
     * 主键
     */
    @Id
    @Column(name="ID")
    private Integer id;

    /**
     * 字典code
     */
    @Column(name = "DICT_CODE")
    private String dictCode;

    /**
     * 字典名
     */
    @Column(name = "DICT_NAME")
    private String dictName;


    /**
     * 父字典code
     */
    @Column(name = "PDICT_CODE")
    private String pdictCode;

    /**
     * 字典组ID
     */
    @Column(name = "GROUP_ID")
    private String groupId;

    /** 国标码*/
    @Column(name = "gb_code")
    private String gbCode;

}
