package com.unis.ynls.dataDictionary.utils.vo;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

@Getter
@Setter
@ToString
public class ResultDTO {

    /**
     * 返回状态, 1：成功，0：失败
     */
    private Integer status = 0;

    /**
     * 返回结果描述
     */
    private String msg;
    /**
     * 传输数据
     */
    private Object data;

    public void setSuccess() {
        status = 1;
    }

    public void setSuccess(String msg) {
        status = 1;
        setMsg(msg);
    }

    public boolean isSuccess() {
        return status == 1 ? true : false;
    }

    public void setFail() {
        status = 0;
    }

    public void setFail(String msg) {
        status = 0;
        setMsg(msg);
    }

    public boolean isFail() {
        return ! isSuccess();
    }

}
