package com.unis.ynls.dataDictionary.entity;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * 数据字典组    实体类
 *
 * @author 杨祖榕
 * @since 2018-11-09 19:57:57
 */
@Getter
@Setter
@ToString
@Entity
@Table(name = "SYS_DICT_GROUP")
public class DataDictionaryGroupDO extends BaseEntity{

    /**
     * 主键ID，字典组CODE
     */
    @Id
    @Column(name="ID")
    private String id;

    /**
     * 组名
     */
    @Column(name = "GROUP_NAME")
    private String groupName;

    /**
     * 父级ID
     */
    @Column(name = "PID")
    private String pid;

}