package com.unis.ynls.dataDictionary.mapper;


import com.unis.ynls.dataDictionary.entity.DataDictionaryGroupDO;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

/**
 * InterfaceName: DataDictionaryGroupMapper
 * @Description: 数据字典组   Dao层
 * @author 杨祖榕
 * @date 2018年11月09日 下午19:57:23
 * @version v1.0
 */
@org.apache.ibatis.annotations.Mapper
@Repository
public interface DataDictionaryGroupMapper extends Mapper<DataDictionaryGroupDO> {
    @Select("select * from SYS_DICT_GROUP where PID = #{pid}")
    DataDictionaryGroupDO findByPid(String pid);

    @Select("select * from SYS_DICT_GROUP where PID = #{pid}")
    List<DataDictionaryGroupDO> findByPidList(String pid);

    @Select("select * from SYS_DICT_GROUP where GROUP_NAME = '${groupName}'")
    DataDictionaryGroupDO selectByName(String groupName);
}
