package com.unis.ynls.dataDictionary.service;


import com.unis.ynls.dataDictionary.vo.DataDictionaryGroupVO;

import java.util.List;
import java.util.Map;

/**
 * InterfaceName: DataDictionaryGroupService
 * @Description: 数据字典组 管理
 * @author 杨祖榕
 * @date 2018年11月11日 上午10:40:23
 * @version v1.0
 */
public interface DataDictionaryGroupService {

    DataDictionaryGroupVO findById(String id);

    DataDictionaryGroupVO findByGroupName(String groupNmae);


    Boolean delete(String id);

    boolean save(DataDictionaryGroupVO dataDictionaryGroupVO);

    boolean update(DataDictionaryGroupVO dataDictionaryGroupVO);

    List<DataDictionaryGroupVO> getAll(String groupName);

    Map<String, Object> getAllPage(String groupName, int page, int size);

    DataDictionaryGroupVO findByPid(String pid);

    List<DataDictionaryGroupVO> findByPidList(String pid);


}
