package com.unis.ynls.dataDictionary.vo;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.io.Serializable;

/**
 * 数据字典组  表现层对象
 *
 * @author 杨祖榕
 * @since 2018-11-09 19:57:57
 */
@Getter
@Setter
@ToString
public class DataDictionaryGroupVO implements Serializable {

    /**
     * 主键ID，字典组CODE
     */
    private String id;

    /**
     * 组名
     */
    private String groupName;

    /**
     * 父级ID
     */
    private String pid;

}